import { Lazy } from "./lazy.js";
export declare function fromNow(date: number | Date, appendAgoLabel?: boolean, useFullTimeWords?: boolean, disallowNow?: boolean): string;
export declare function fromNowByDay(date: number | Date, appendAgoLabel?: boolean, useFullTimeWords?: boolean): string;
export declare function getDurationString(ms: number, useFullTimeWords?: boolean): string;
export declare function toLocalISOString(date: Date): string;
export declare const safeIntl: {
    DateTimeFormat(locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): Lazy<Intl.DateTimeFormat>;
    Collator(locales?: Intl.LocalesArgument, options?: Intl.CollatorOptions): Lazy<Intl.Collator>;
    Segmenter(locales?: Intl.LocalesArgument, options?: Intl.SegmenterOptions): Lazy<Intl.Segmenter>;
    Locale(tag: Intl.Locale | string, options?: Intl.LocaleOptions): Lazy<Intl.Locale>;
    NumberFormat(locales?: Intl.LocalesArgument, options?: Intl.NumberFormatOptions): Lazy<Intl.NumberFormat>;
};
